Skip to content

Get product

/products

Target audience: Developers

Release version: 4.5.9

Get product

Introduction

Returns a single campaign/package/product for an organisation

Order validation

order_validation_meta_data is returned for campaigns and packages. It tells whether the campaign or package has an active order validation, such as an age limit, and which criteria it is set up with, so you can adapt the purchase flow to it. Campaigns do not inherit the order validation of the package they are based on, so the object only tells about the campaign or package itself.

Field Type Description
enabled Boolean true when the campaign or package has an active order validation.
types Array[String] The criteria of the order validation: min_age_limit (minimum age) and max_age_limit (maximum age). Empty when enabled is false.

URI

Environment URI
Stage https://payway-api.stage.adeprimo.se/external/api/v4/products
Production https://backend.worldoftulo.com/external/api/v4/products

Requirements

Identity Scope
No /external/product/r

Parameters

Name Type Description
id String Id of a product. Cannot be used together with other parameters.
Size range: ..24 Allowed values: "/^[a-f\d]{24}$/i"
product_code String The product code for a product/package/campaign. Cannot be used together with other parameters.
Size range: 1..50 Allowed values: "/^[a-zA-Z-_+0-9]+$/"
integration_code String The integration code for a package/campaign. Cannot be used together with other parameters.
Size range: 1..50 Allowed values: "/^[a-zA-Z-_+0-9åäöÅÄÖ]+$/"

Curl Example

Get by id

curl --request GET \
  --url https://payway-api.stage.adeprimo.se/external/api/v4/products?product_id=52a781d6400e06897c00000f \
  --header 'accept: application/json' \
  --header 'authorization: Bearer token' \

Get by product_code

curl --request GET \
  --url https://payway-api.stage.adeprimo.se/external/api/v4/products?product_code=adeprimo_digital \
  --header 'accept: application/json' \
  --header 'authorization: Bearer token' \

Get by integration_code

curl --request GET \
  --url https://payway-api.stage.adeprimo.se/external/api/v4/products?integration_code=my_integration_code \
  --header 'accept: application/json' \
  --header 'authorization: Bearer token' \

Response

Successful response for campaign

HTTP 200
{
  "item": {
    "id": "60253f1809c04c24149cba44",
    "expired": false,
    "image_url": null,
    "valid_from": "2020-02-12T15:28:40+01:00",
    "valid_to": "2020-02-12T15:28:40+01:00",
    "product_code": "trial",
    "integration_code": "campaign_integration_code",
    "title_code": "TITLE_CODE",
    "name": "Adeprimo summer campaign",
    "description": "Please buy our nice summer campaign, it is very nice and gives you news.",
    "additional_short_description": null,    
    "transform_to_campaign_package": true,
    "customer_can_cancel": false,
    "vat_code": 25,
    "rank": 0,
    "show_price_excluding_vat": false,
    "allow_gift_purchase": false,
    "allow_only_gift_purchase": false,
    "allow_voucher_purchase": false,
    "allow_only_voucher_purchase": false,
    "order_validation_meta_data": {
      "enabled": true,
      "types": ["min_age_limit"]
    },
    "tags": [
      {
        "name": "campaign_tag",
        "type": "package"
      }
    ],
    "price_periods": [
      {
        "id": "60253f1809c04c24149cba47",
        "payment_method": "adyen",
        "type": "recurring",
        "enabled": true,
        "iteration_type": "month",
        "iteration_length": 1,
        "iterations": 1,
        "price": 210,
        "details": {
          "type": "scheme",
          "name": "Card"
        },
        "price_description": {
          "period_id": "60af542709c04c52a1724a35",
          "price_details": [
            {
                "name": "Combo campaign",
                "total_price": 210.0,
                "price_excluding_vat": 157.5,
                "vat": 25,
                "price_specification": "",
                "description_without_price": "första månaden, därefter avslutas prenumerationen",
                "description_without_price_excluding_vat": "första månaden, därefter avslutas prenumerationen",
                "localized_description": "210 första månaden, därefter avslutas prenumerationen",
                "localized_description_excluding_vat": "157.5 kr första månaden, därefter avslutas prenumerationen",
                "localized_per_type_description": "210 kr / månad",
                "localized_per_type_description_excluding_vat": "157.5 kr / månad"
            }
          ],

          # Recursive object
          "transition_period": {
            "id": "60af542709c04c52a1724a35",
            "product_id": "529jfa98jfda9jfad98dfja",
            "product_code": "my_first_transition",
            "payment_method": "adyen",
            "type": "recurring",
            "enabled": true,
            "iteration_type": "month",
            "iteration_length": 3,
            "iterations": 1,
            "price": 210,
            "price_excluding_vat": 197.4,
            "vat": 6,
            "details": {
              "type": "scheme",
              "name": "Card"
            },
            "transition_period": {
              "id": "60af542709c04c52a1724b73",
              "product_id": "529jfa98jfda9jfad98dfja",
              "product_code": "my_second_transition",
              "payment_method": "adyen",
              "type": "recurring",
              "enabled": true,
              "iteration_type": "month",
              "iteration_length": 3,
              "iterations": 1,
              "price": 210,
              "price_excluding_vat": 197.4,
              "vat": 6,
              "details": {
                "type": "scheme",
                "name": "Card"
              },
              "transition_period": null
            }
          }
        },
        "boutique_display_options": {
          "display_percentage": false,
          "display_regular_price": false,
          "price_terms": null,
          "header_widget_id": null,
          "header_widget_key": null
        }
      }
    ],
    "based_on_package": {
      "id": "513513oimkoidfgdosafjksdoijf",
      "valid_from": "2014-04-10T02:00:00+02:00",
      "valid_to": "2015-04-10T02:00:00+02:00",
      "expired": false,
      "product_code": "package_code",
      "integration_code": "integration_code",
      "title_code": "title_code",
      "name": "Adeprimo package",
      "description": "Lorem ipsum",
      "additional_short_description": "",
      "rank": 0,
      "vat_code": 6,
      "type": "package",
      "show_price_excluding_vat": false,
      "customer_can_cancel": false,
      "products": [
        {
          "id": "60af490709c04c3b4cccb981",
          "product_code": "product_code_14",
          "type": "product",
          "name": "product_name",
          "description": "short_description",
          "image_url": "https://cdn_url/Image/adeprimo/product_code_14",
          "print_product": false,
          "loyalty_card_product": false,
          "epaper_product": false,
          "epaper_url": null
        }
      ],
      "tags": [],
      "price_periods": [
        {
          "id": "6025405109c04c2660320bbb",
          "payment_method": "adyen",
          "type": "recurring",
          "enabled": true,
          "iteration_type": "month",
          "iteration_length": 1,
          "price": 210,
          "details": {
            "type": "scheme",
            "name": "Card"
          },
          "price_description": {
            "period_id": "5346662f400e06f713000026",
            "price_details": [
              {
                "name": "product_name",
                "total_price": 210.0,
                "price_excluding_vat": 197.4,
                "vat": 6,
                "price_specification": "",
                "localized_description": "Pris per månad"
              }
            ]
          },
          "boutique_display_options": {
            "display_percentage": false,
            "display_regular_price": false,
            "price_terms": null,
            "header_widget_id": null,
            "header_widget_key": null
          }
        }
      ]
    }
  }
}

Successful response for package

HTTP 200
{
  "item": {
    "id": "513513oimkoidfgdosafjksdoijf",
    "valid_from": "2014-04-10T02:00:00+02:00",
    "valid_to": "2015-04-10T02:00:00+02:00",
    "expired": false,
    "product_code": "package_code",
    "integration_code": "integration_code",
    "title_code": "title_code",
    "name": "Adeprimo package",
    "description": "Lorem ipsum",
    "additional_short_description": "",
    "rank": 0,
    "vat_code": 6,
    "type": "package",
    "show_price_excluding_vat": false,
    "customer_can_cancel": false,
    "order_validation_meta_data": {
      "enabled": false,
      "types": []
    },
    "products": [
      {
        "id": "60af490709c04c3b4cccb981",
        "product_code": "product_code_14",
        "type": "product",
        "name": "product_name",
        "description": "short_description",
        "image_url": "https://cdn_url/Image/adeprimo/product_code_14",
        "print_product": false, 
        "loyalty_card_product": false
      }
    ],
    "tags": [],
    "price_periods": [
      {
        "id": "6025405109c04c2660320bbb",
        "payment_method": "adyen",
        "type": "recurring",
        "enabled": true,
        "iteration_type": "month",
        "iteration_length": 1,
        "price": 210,
        "details": {
          "type": "scheme",
          "name": "Card"
        },
        "price_description": {
          "period_id": "5346662f400e06f713000026",
          "price_details": [
            {
              "name": "product_name",
              "total_price": 210.0,
              "price_excluding_vat": 197.4,
              "vat": 6,
              "price_specification": "",
              "localized_description": "Pris per månad"
            }
          ]
        }
      }
    ]
  }
}

Successful response for product

HTTP 200
{
  "item": {
    "id": "60af490709c04c3b4cccb981",
    "product_code": "product_code_14",
    "type": "product",
    "name": "product_name",
    "description": "short_description",
    "image_url": "https://cdn_url/Image/adeprimo/product_code_14",
    "print_product": false,
    "loyalty_card_product": false
  }
}

Errors

This API uses the common error conventions of the Payway API

See common error responses